OnlinePay API
V2
V1
V2
V1
  1. Payout
  • Introduction
    • Introduction
    • How to Start
    • Country Code
    • Country Info
    • Currency Code
    • Error Code
    • Transfer Order Info Type
    • Transfer Order File Type
    • Per Bank
    • Spei Bank
    • Vietnam Bank
    • V2 Signature Specification
  • Payin
    • SEPA
      • SEPA Master Account API
      • SEPA Virtual Account API
      • SEPA Upload Kyc Files API
      • SEPA Submit EDD Files API
    • Credit Card API
      POST
    • Alipay API
      POST
    • GCash API
      POST
    • WeChat API
      POST
    • PIX API
      POST
    • Crypto API
      POST
    • Union Pay API
      POST
    • SPEI API
      POST
    • Per Transfer API
      POST
    • Cash App API
      POST
    • Google Pay API
      POST
    • Apple Pay API
      POST
    • MONO API
      POST
    • Vietnam Bank API
      POST
    • CheckOut API
      POST
    • CheckOut Payment API
      POST
    • OnRamps API
      GET
  • Payout
    • PER Transfer Payout API
      POST
    • Checkout Payout API
      POST
    • Card Payout API
      POST
    • Bank Account Payout API
      POST
    • PIX Payout API
      POST
    • PER Transfer Payout API
      POST
    • SPEI Payout API
      POST
    • CashApp Payout API
      POST
    • Checkout Payout API
      POST
    • Query Payout Order API
      POST
    • Supplement Payee Info API
      POST
    • SEPA Payout API
      POST
  • Recharge
    • SEPA
      • Account
      • Virtual Account
  • Refund
    • Refund API
  • Card
    • Create Cardholder API
    • Create Card API
    • Active Card API
    • Freeze Card API
    • UnFreeze Card API
    • Cancel Card API
    • TopUp Card API
    • Card Withdraw API
    • Query Card Balance API
    • Query Card Info API
    • Query Card Transaction API
    • Add VPA Scene API
  • Query
    • Query Payout Order API
    • Query Order API
    • QueryOrderList API
    • QueryBalance API
    • QueryOrderAmount API
  • Notify
    • SEPA EDD KYC Notify Webhook API
    • Pay Notify WebHook API
    • Refund Notify WebHook API
    • Card Notify WebHook API
    • Chargeback Notify WebHook API
  • File
    • UploadFile API
  • Schemas
    • UserArray
    • CheckStandV2Request
    • ApiResponse
    • SepaPayoutParam
    • V2EncryptedEnvelope
    • PayoutCheckStandV2Request
    • V2EncryptedNotification
    • QueryPayOutV2Request
    • CreateAccountRequest
    • PaymentNotificationPayload
    • Category
    • PaymentNotification
    • CreateAccountResponse
    • QueryPayOutV2Response
    • PayoutCheckStandV2Response
    • ProductParams
    • ResponseResult
    • CreateAccountInfo
    • PaymentStatus
    • Pet
    • OrderQueryV2Data
    • PayoutQueryResult
    • PayoutCheckStandV2Data
    • CheckStandV2Response
    • RefundNotificationPayload
    • Tag
    • RechargeRequest
    • CheckStandV2Data
    • ChargebackNotificationPayload
    • OrderQueryV2Request
    • OrderQueryV2Response
    • Order
    • RechargeResponse
    • User
    • RechargeAccountInfo
  1. Payout

SEPA Payout API

Testing Env
https://testpay.onlinepay.ai
Testing Env
https://testpay.onlinepay.ai
POST
/v2/payout/sepa
Initiates a SEPA payment from the merchant's payer Account to the payee IBAN.

Request

Header Params

Body Params application/jsonRequired

Example
{
    "merNo": "497903662",
    "merOrderNo": "MER20260624001",
    "currencyCode": "EUR",
    "sourceAmount": "1000.00",
    "withdrawType": "1",
    "returnUrl": "https://your-merchant-site.com/return",
    "notifyUrl": "https://your-merchant-site.com/notify",
    "sign": "xxxxxxxxxxxxxxxxxxxxxxxx",
    "payIban": "LU5740800000236587452",
    "iban": "GB29NWBK60161331926819",
    "bicSwift": "NWBKGB2L",
    "firstName": "John",
    "lastName": "Doe",
    "address1": "123 Main Street",
    "address2": "Apt 4B",
    "city": "London",
    "state": "Greater London",
    "country": "GB",
    "zipCode": "SW1A1AA"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://testpay.onlinepay.ai/v2/payout/sepa' \
--header 'referer;' \
--header 'Content-Type: application/json' \
--data '{
    "merNo": "497903662",
    "merOrderNo": "MER20260624001",
    "currencyCode": "EUR",
    "sourceAmount": "1000.00",
    "withdrawType": "1",
    "returnUrl": "https://your-merchant-site.com/return",
    "notifyUrl": "https://your-merchant-site.com/notify",
    "sign": "xxxxxxxxxxxxxxxxxxxxxxxx",
    "payIban": "LU5740800000236587452",
    "iban": "GB29NWBK60161331926819",
    "bicSwift": "NWBKGB2L",
    "firstName": "John",
    "lastName": "Doe",
    "address1": "123 Main Street",
    "address2": "Apt 4B",
    "city": "London",
    "state": "Greater London",
    "country": "GB",
    "zipCode": "SW1A1AA"
}'

Responses

🟢200
application/json
Result
Bodyapplication/json

Example
{
    "code": "0000",
    "message": "success",
    "success": true,
    "data": {
        "tradeNo": "O260624104004459",
        "merOrderNo": "MER20260624001"
    }
}
Modified at 2026-06-24 03:29:34
Previous
Supplement Payee Info API
Next
Account
Built with